Last Comment Bug 785580 - Lightning Calendar/Task icons don't show up in the SeaMonkey All-Tabs popup menu.
: Lightning Calendar/Task icons don't show up in the SeaMonkey All-Tabs popup m...
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Lightning: SeaMonkey Integration (show other bugs)
: unspecified
: x86_64 Windows 7
: -- normal (vote)
: 1.9
Assigned To: Philip Chee
:
:
Mentors:
Depends on: 464524
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 20:59 PDT by Philip Chee
Modified: 2012-10-02 10:46 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch v1.0 Add Lightning icons to the Alltabs menu. (2.26 KB, patch)
2012-08-24 21:04 PDT, Philip Chee
richard.marti: feedback+
Details | Diff | Splinter Review
Patch v1.1 Fix gnomestripe and pinstripe as well. (4.67 KB, patch)
2012-08-25 08:47 PDT, Philip Chee
philipp: review+
richard.marti: feedback+
philipp: approval‑calendar‑aurora+
Details | Diff | Splinter Review

Description Philip Chee 2012-08-24 20:59:39 PDT
SeaMonkey uses a different rule to find icons for the Alltabs menu. Patch coming up.
Comment 1 Philip Chee 2012-08-24 21:04:39 PDT
Created attachment 655264 [details] [diff] [review]
Patch v1.0 Add Lightning icons to the Alltabs menu.

This should be safe, these rules don't match anything in Thunderbird.
Comment 2 Richard Marti (:Paenglab) 2012-08-25 00:27:30 PDT
Comment on attachment 655264 [details] [diff] [review]
Patch v1.0 Add Lightning icons to the Alltabs menu.

.icon-holder isn't used in TB. This should safe to use.

You have only code for Windows. Linux and OSX don't need icons?
Comment 3 Philip Chee 2012-08-25 03:20:25 PDT
I can't test on Linux/OS X. I'll attach a patch that includes those but obviously untested.
Comment 4 Philip Chee 2012-08-25 08:21:13 PDT
Comment on attachment 655264 [details] [diff] [review]
Patch v1.0 Add Lightning icons to the Alltabs menu.

New patch coming up.
Comment 5 Philip Chee 2012-08-25 08:47:21 PDT
Created attachment 655323 [details] [diff] [review]
Patch v1.1 Fix gnomestripe and pinstripe as well.

> You have only code for Windows. Linux and OSX don't need icons?
Fix Linux and OS X as well.
Comment 6 Richard Marti (:Paenglab) 2012-08-25 09:49:41 PDT
Comment on attachment 655323 [details] [diff] [review]
Patch v1.1 Fix gnomestripe and pinstripe as well.

This looks good for me but I don't use SM and can't say if it works.
Comment 7 Philipp Kewisch [:Fallen] 2012-09-29 10:14:12 PDT
Comment on attachment 655323 [details] [diff] [review]
Patch v1.1 Fix gnomestripe and pinstripe as well.

r=philipp
Comment 8 Philip Chee 2012-10-01 10:05:55 PDT
Pushed to comm-central:
http://hg.mozilla.org/comm-central/rev/404b3c94f8b7
Comment 9 Philip Chee 2012-10-01 10:07:39 PDT
Comment on attachment 655323 [details] [diff] [review]
Patch v1.1 Fix gnomestripe and pinstripe as well.

This is just a minor cosmetic issue so not really necessary for tb17/sm2.14 but asking anyway.
Comment 10 Philipp Kewisch [:Fallen] 2012-10-02 02:28:59 PDT
Comment on attachment 655323 [details] [diff] [review]
Patch v1.1 Fix gnomestripe and pinstripe as well.

I guess you can do that, I don't think it will break anything. Set target to 1.9 after you push.
Comment 11 Philip Chee 2012-10-02 10:46:54 PDT
Pushed to comm-aurora:
http://hg.mozilla.org/releases/comm-aurora/rev/e1f614c58463

Note You need to log in before you can comment on or make changes to this bug.